#! /bin/sh /usr/share/dpatch/dpatch-run
## 301-datafiles-comply-with-FHS.dpatch by  <kmccarty@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Put data files under @DATADIR@ (defined in add-ons/Makefile).

@DPATCH@
diff -urNad mclibs-2006.dfsg~/src/mclibs/cojets/test/test.F mclibs-2006.dfsg/src/mclibs/cojets/test/test.F
--- mclibs-2006.dfsg~/src/mclibs/cojets/test/test.F	2006-09-04 08:32:56.000000000 -0400
+++ mclibs-2006.dfsg/src/mclibs/cojets/test/test.F	2007-01-19 17:43:17.722634828 -0500
@@ -10,7 +10,7 @@
 #if defined(CERNLIB_IBMVM)
       PARAMETER (DFILE='/COJETS DATA *')
 #else
-      PARAMETER (DFILE='cojets.dat')
+      PARAMETER (DFILE='@DATADIR@/cojets/cojets.dat')
 #endif
 #if defined(CERNLIB_GFORTRAN)
       call dummysub(cojdat)
diff -urNad mclibs-2006.dfsg~/src/mclibs/eurodec/eurodec/eufiles.inc mclibs-2006.dfsg/src/mclibs/eurodec/eurodec/eufiles.inc
--- mclibs-2006.dfsg~/src/mclibs/eurodec/eurodec/eufiles.inc	1996-03-08 11:58:49.000000000 -0500
+++ mclibs-2006.dfsg/src/mclibs/eurodec/eurodec/eufiles.inc	2007-01-19 17:43:17.722634828 -0500
@@ -18,7 +18,7 @@
       PARAMETER (ETFILE='/EUTITLE DAT   *')
 #endif
       CHARACTER*(*) EDFILE,ETFILE
-      PARAMETER (EDFILE='eurodec.dat')
+      PARAMETER (EDFILE='@DATADIR@/eurodec/eurodec.dat')
       PARAMETER (ETFILE='eutitle.dat')
 
 #endif
diff -urNad mclibs-2006.dfsg~/src/mclibs/isajet/test/isajett.F mclibs-2006.dfsg/src/mclibs/isajet/test/isajett.F
--- mclibs-2006.dfsg~/src/mclibs/isajet/test/isajett.F	2006-09-04 08:32:57.000000000 -0400
+++ mclibs-2006.dfsg/src/mclibs/isajet/test/isajett.F	2007-01-19 17:43:17.722634828 -0500
@@ -8,7 +8,7 @@
 #if defined(CERNLIB_VAXVMS)
       PARAMETER (DFILE='CERN_ROOT:[lib]isajet.dat')
 #else
-      PARAMETER (DFILE='isajet.dat')
+      PARAMETER (DFILE='@DATADIR@/isajet/isajet.dat')
 #endif
 #endif
 C
